---@meta

---@class Alpha : Animation
Alpha = {
	--- Gets the ending alpha value.
	--- @return number alpha The ending alpha value.
	--- @example
	--- local alpha = myAlpha:GetEndAlpha()
	GetEndAlpha = function(self) end,

	--- Gets the starting alpha value.
	--- @return number alpha The starting alpha value.
	--- @example
	--- local alpha = myAlpha:GetStartAlpha()
	GetStartAlpha = function(self) end,

	--- Sets the ending alpha value.
	--- @param alpha number The ending alpha value (0.0 to 1.0).
	--- @example
	--- myAlpha:SetEndAlpha(1.0)
	SetEndAlpha = function(self, alpha) end,

	--- Sets the starting alpha value.
	--- @param alpha number The starting alpha value (0.0 to 1.0).
	--- @example
	--- myAlpha:SetStartAlpha(0.0)
	SetStartAlpha = function(self, alpha) end,
}
